# Uses of Enum Class
org.bukkit.entity.Villager.Type

Packages that use Villager.Type
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Villager.Type in org.bukkit

Fields in org.bukkit with type parameters of type Villager.Type
Modifier and Type
Field
Description
`static final Registry<Villager.Type>`
Registry.`VILLAGER_TYPE`
Villager type.

## Uses of Villager.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Villager.Type
Modifier and Type
Method
Description
`@NotNull Villager.Type`
Villager.`getVillagerType()`
Gets the current type of this villager.
`Villager.Type`
ZombieVillager.`getVillagerType()`
Gets the current type of this villager.
`static Villager.Type`
Villager.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Villager.Type[]`
Villager.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Villager.Type
Modifier and Type
Method
Description
`void`
Villager.`setVillagerType(@NotNull Villager.Type type)`
Sets the new type of this villager.
`void`
ZombieVillager.`setVillagerType(Villager.Type type)`
Sets the new type of this villager.